Skip to navigation

Update a user by ID

Update a single user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

user_idstringRequired
ID of user to update

Request

This endpoint expects an object.
emailstringOptional
Email of the User
handlestringOptional
Handle of the User
isSuspendedbooleanOptional
Suspended status of the User
namestringOptional
Name of the User

Response

OK
handlestringOptional
idstringOptional
namestringOptional
apiKeyLastChangedAtstring or nullOptional
emailstringOptional
isSuspendedbooleanOptional
passwordLastChangedAtstring or nullOptional

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error